{"items":[{"type":"link","label":"Dinie API","link":"/en-us/apis/openapi","routeSlug":"/en-us/apis/openapi","content":{"contentType":"overview","meta":{"name":"Dinie API"},"children":[{"nodeType":"container","panels":[{"title":"Download OpenAPI description","titleTranslationKey":"download.description.title","children":[{"kind":"download","label":"openapi.json","url":"/_bundle/@l10n/en-US/apis/openapi.json?download"},{"kind":"download","label":"openapi.yaml","url":"/_bundle/@l10n/en-US/apis/openapi.yaml?download"}]},{"title":"Overview","titleTranslationKey":"info.title","children":[{"kind":"externallink","title":"URL","titleTranslationKey":"info.contact.url","label":"https://docs.dinie.com","url":"https://docs.dinie.com"},{"kind":"email","title":"Dinie API Support","email":"api@dinie.com.br","label":"api@dinie.com.br","withCopyButton":true,"copyContent":"api@dinie.com.br"},{"kind":"attribute","title":"License","titleTranslationKey":"info.license","label":"Proprietary","value":"Proprietary"}]},{"title":"Languages","titleTranslationKey":"languages.title","children":[{"kind":"languages","options":[{"key":"curl","title":"curl","lang":"curl"},{"key":"python","title":"Python","lang":"Python"},{"key":"node","title":"Node.js","lang":"Node.js"},{"key":"ruby","title":"Ruby","lang":"Ruby"}]}]},{"title":"Servers","titleTranslationKey":"servers.title","children":[{"kind":"servers","servers":[{"url":"/_mock/en-us/apis/openapi","description":"Mock server","isMockServer":true},{"url":"https://api.dinie.com/api/v3","description":"Production"},{"url":"https://api-dev.dinietech.io/api/v3","description":"Sandbox"}],"mode":"default"}]}],"children":[{"nodeType":"overview-section-wrapper","children":[{"nodeType":"header","level":1,"label":"Dinie API (2026-03-01)","showPageActions":true},{"nodeType":"overview-section-wrapper","children":[{"nodeType":"markdoc","content":"Embedded credit API for Dinie partners. Enables customer registration,\ncredit offer management, loan origination, and event delivery\nvia webhooks."}],"sectionId":"/en-us/apis/openapi"}],"sectionId":"/en-us/apis/openapi"}]}]}},{"type":"group","label":"Authentication","link":"/en-us/apis/openapi/authentication","routeSlug":"/en-us/apis/openapi/authentication","items":[{"label":"Get an access token","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/en-us/apis/openapi/authentication/createtoken","routeSlug":"/en-us/apis/openapi/authentication/createtoken","metadata":{"seo":{"title":"Get an access token","description":"POST /auth/token"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"createToken","name":"Get an access token","isWebhook":false,"pointer":"/paths/~1auth~1token/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get an access token","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"endpoint-url"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"mb mb--post"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"POST"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /auth/token"},"children":[]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Exchange partner credentials for an access token via OAuth2 Client Credentials"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"oauth2","scopes":[],"type":"oauth2","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"OAuth2 Client Credentials flow for obtaining access tokens."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_id"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_secret"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" to authenticate."},"children":[]}]}]}],"flows":{"clientCredentials":{"tokenUrl":"/api/v3/auth/token","scopes":{"kyc:read":"Read a customer's KYC state (requirements, attachments, status).","kyc:upload":"Upload a KYC attachment (document or selfie via the dedicated route).","kyc:submit":"Submit a customer's KYC bundle for review.","biometrics:create":"Mint a biometrics capture session for a customer (partner side of the handoff).","biometrics:exchange":"Exchange a biometrics bootstrap code for a scoped session token (kyc-app side of the handoff)."}}}}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/x-www-form-urlencoded"],"mediaTypeSchemas":{"application/x-www-form-urlencoded":{"schemaId":"schema_0","exampleIds":["paths/~1auth~1token/post/requestBody/content/application~1x-www-form-urlencoded/example"]}},"schemaId":"schema_0","exampleIds":["paths/~1auth~1token/post/requestBody/content/application~1x-www-form-urlencoded/example"],"pointer":"/paths/~1auth~1token/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/auth/token","servers":[{"url":"/_mock/en-us/apis/openapi","description":"Mock server","isMockServer":true},{"url":"https://api.dinie.com/api/v3","description":"Production"},{"url":"https://api-dev.dinietech.io/api/v3","description":"Sandbox"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"oauth2","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/api/v3/auth/token","scopes":{"kyc:read":"Read a customer's KYC state (requirements, attachments, status).","kyc:upload":"Upload a KYC attachment (document or selfie via the dedicated route).","kyc:submit":"Submit a customer's KYC bundle for review.","biometrics:create":"Mint a biometrics capture session for a customer (partner side of the handoff).","biometrics:exchange":"Exchange a biometrics bootstrap code for a scoped session token (kyc-app side of the handoff)."}}}}],"scopes":[]}],"requestBody":{"application/x-www-form-urlencoded":{"schemaId":"schema_0","exampleIds":["paths/~1auth~1token/post/requestBody/content/application~1x-www-form-urlencoded/example"]}},"responseCodes":["200","400","401","429","500"],"pointer":"/auth/token","href":"authentication/createtoken","openApiOperationId":"createToken","summary":"Get an access token"},"definitionSamples":[{"lang":"curl","source":"curl -X POST https://api.dinie.com/api/v3/auth/token \\\n  -u \"$DINIE_CLIENT_ID:$DINIE_CLIENT_SECRET\" \\\n  -H \"Content-Type: application/x-www-form-urlencoded\" \\\n  -d \"grant_type=client_credentials\"\n"},{"lang":"Python","source":"from dinie import Dinie\n\n# The SDK handles token exchange automatically.\n# Just initialize with your credentials:\nclient = Dinie(\n    client_id=\"dinie_ci_abc123\",\n    client_secret=\"dinie_cs_live_xyz789\"\n)\n\n# To obtain a token manually (rarely needed):\ntoken = client.auth.create_token()\n\nprint(token.access_token)  # \"dinie_at_eyJhbG...\"\nprint(token.expires_in)    # 3600\n"},{"lang":"Node.js","source":"const { Dinie } = require(\"dinie\");\n\n// The SDK handles token exchange automatically.\n// Just initialize with your credentials:\nconst client = new Dinie({\n  clientId: \"dinie_ci_abc123\",\n  clientSecret: \"dinie_cs_live_xyz789\",\n});\n\n// To obtain a token manually (rarely needed):\nconst token = await client.auth.createToken();\n\nconsole.log(token.accessToken);  // \"dinie_at_eyJhbG...\"\nconsole.log(token.expiresIn);    // 3600\n"},{"lang":"Ruby","source":"require \"dinie\"\n\n# The SDK handles token exchange automatically.\n# Just initialize with your credentials:\nclient = Dinie::Client.new(\n  client_id: \"dinie_ci_abc123\",\n  client_secret: \"dinie_cs_live_xyz789\"\n)\n\n# To obtain a token manually (rarely needed):\ntoken = client.auth.create_token\n\nputs token.access_token  # \"dinie_at_eyJhbG...\"\nputs token.expires_in    # 3600\n"}],"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/en-us/apis/openapi","description":"Mock server","isMockServer":true},{"url":"https://api.dinie.com/api/v3","description":"Production"},{"url":"https://api-dev.dinietech.io/api/v3","description":"Sandbox"}],"schemaId":"schema_0","exampleIds":["paths/~1auth~1token/post/requestBody/content/application~1x-www-form-urlencoded/example"],"mediaTypes":["application/x-www-form-urlencoded"],"mediaTypeSchemas":{"application/x-www-form-urlencoded":{"schemaId":"schema_0","exampleIds":["paths/~1auth~1token/post/requestBody/content/application~1x-www-form-urlencoded/example"]}},"examples":[{}]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Token issued successfully","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TokenResponse","exampleIds":["paths/~1auth~1token/post/responses/200/content/application~1json/example"]}},"schemaId":"components/schemas/TokenResponse","exampleIds":["paths/~1auth~1token/post/responses/200/content/application~1json/example"]},{"code":"400","description":"Bad request","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_1","exampleIds":["paths/~1auth~1token/post/responses/400/content/application~1problem+json/examples/missing_grant_type","paths/~1auth~1token/post/responses/400/content/application~1problem+json/examples/unsupported_grant_type","paths/~1auth~1token/post/responses/400/content/application~1problem+json/examples/invalid_content_type"]}},"schemaId":"schema_1","exampleIds":["paths/~1auth~1token/post/responses/400/content/application~1problem+json/examples/missing_grant_type","paths/~1auth~1token/post/responses/400/content/application~1problem+json/examples/unsupported_grant_type","paths/~1auth~1token/post/responses/400/content/application~1problem+json/examples/invalid_content_type"]},{"code":"401","description":"Authentication failed","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_2","exampleIds":["paths/~1auth~1token/post/responses/401/content/application~1problem+json/examples/missing_authorization","paths/~1auth~1token/post/responses/401/content/application~1problem+json/examples/invalid_client","paths/~1auth~1token/post/responses/401/content/application~1problem+json/examples/invalid_client_secret","paths/~1auth~1token/post/responses/401/content/application~1problem+json/examples/credential_revoked","paths/~1auth~1token/post/responses/401/content/application~1problem+json/examples/credential_expired"]}},"schemaId":"schema_2","exampleIds":["paths/~1auth~1token/post/responses/401/content/application~1problem+json/examples/missing_authorization","paths/~1auth~1token/post/responses/401/content/application~1problem+json/examples/invalid_client","paths/~1auth~1token/post/responses/401/content/application~1problem+json/examples/invalid_client_secret","paths/~1auth~1token/post/responses/401/content/application~1problem+json/examples/credential_revoked","paths/~1auth~1token/post/responses/401/content/application~1problem+json/examples/credential_expired"]},{"code":"429","description":"Rate limit exceeded","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_3","exampleIds":["paths/~1auth~1token/post/responses/429/content/application~1problem+json/example"]}},"schemaId":"schema_3","exampleIds":["paths/~1auth~1token/post/responses/429/content/application~1problem+json/example"],"headers":{"Retry-After":{"schema":{"type":"integer"},"description":"Seconds until the rate limit resets"}},"headerSchemaId":"schema_4"},{"code":"500","description":"Internal server error","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_5","exampleIds":["paths/~1auth~1token/post/responses/500/content/application~1problem+json/example"]}},"schemaId":"schema_5","exampleIds":["paths/~1auth~1token/post/responses/500/content/application~1problem+json/example"]}],"pointer":"/paths/~1auth~1token/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/TokenResponse","exampleIds":["paths/~1auth~1token/post/responses/200/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TokenResponse","exampleIds":["paths/~1auth~1token/post/responses/200/content/application~1json/example"]}}},{"code":"400","schemaId":"schema_1","exampleIds":["paths/~1auth~1token/post/responses/400/content/application~1problem+json/examples/missing_grant_type","paths/~1auth~1token/post/responses/400/content/application~1problem+json/examples/unsupported_grant_type","paths/~1auth~1token/post/responses/400/content/application~1problem+json/examples/invalid_content_type"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_1","exampleIds":["paths/~1auth~1token/post/responses/400/content/application~1problem+json/examples/missing_grant_type","paths/~1auth~1token/post/responses/400/content/application~1problem+json/examples/unsupported_grant_type","paths/~1auth~1token/post/responses/400/content/application~1problem+json/examples/invalid_content_type"]}}},{"code":"401","schemaId":"schema_2","exampleIds":["paths/~1auth~1token/post/responses/401/content/application~1problem+json/examples/missing_authorization","paths/~1auth~1token/post/responses/401/content/application~1problem+json/examples/invalid_client","paths/~1auth~1token/post/responses/401/content/application~1problem+json/examples/invalid_client_secret","paths/~1auth~1token/post/responses/401/content/application~1problem+json/examples/credential_revoked","paths/~1auth~1token/post/responses/401/content/application~1problem+json/examples/credential_expired"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_2","exampleIds":["paths/~1auth~1token/post/responses/401/content/application~1problem+json/examples/missing_authorization","paths/~1auth~1token/post/responses/401/content/application~1problem+json/examples/invalid_client","paths/~1auth~1token/post/responses/401/content/application~1problem+json/examples/invalid_client_secret","paths/~1auth~1token/post/responses/401/content/application~1problem+json/examples/credential_revoked","paths/~1auth~1token/post/responses/401/content/application~1problem+json/examples/credential_expired"]}}},{"code":"429","schemaId":"schema_3","exampleIds":["paths/~1auth~1token/post/responses/429/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_3","exampleIds":["paths/~1auth~1token/post/responses/429/content/application~1problem+json/example"]}}},{"code":"500","schemaId":"schema_5","exampleIds":["paths/~1auth~1token/post/responses/500/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_5","exampleIds":["paths/~1auth~1token/post/responses/500/content/application~1problem+json/example"]}}}],"examples":[]}]}]}]},"httpPath":"/auth/token"},{"label":"Create an API key","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/en-us/apis/openapi/authentication/createcredential","routeSlug":"/en-us/apis/openapi/authentication/createcredential","metadata":{"seo":{"title":"Create an API key","description":"POST /auth/credentials"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"createCredential","name":"Create an API key","isWebhook":false,"pointer":"/paths/~1auth~1credentials/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create an API key","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"endpoint-url"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"mb mb--post"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"POST"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /auth/credentials"},"children":[]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Create a new API credential pair"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"JWT token obtained via OAuth2 Client Credentials. Send "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"POST /auth/token"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"with your credentials ("},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_id"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_secret"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":") in the"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: Basic base64(client_id:client_secret)"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header to receive an"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"access token. Include the token in all requests:"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: Bearer <token>"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". The token expires in 1 hour (3600s)."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Prefixes: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"dinie_cs_live_"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" (production), "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"dinie_cs_test_"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" (sandbox)."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The returned token is prefixed with "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"dinie_at_"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"X-Idempotency-Key","in":"header","schemaId":"schema_6","description":"Unique string for idempotent POST requests. Cached for 24 hours."}],"pointer":"/paths/~1auth~1credentials/post/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CreateCredentialRequest","exampleIds":["paths/~1auth~1credentials/post/requestBody/content/application~1json/example"]}},"schemaId":"components/schemas/CreateCredentialRequest","exampleIds":["paths/~1auth~1credentials/post/requestBody/content/application~1json/example"],"pointer":"/paths/~1auth~1credentials/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/auth/credentials","servers":[{"url":"/_mock/en-us/apis/openapi","description":"Mock server","isMockServer":true},{"url":"https://api.dinie.com/api/v3","description":"Production"},{"url":"https://api-dev.dinietech.io/api/v3","description":"Sandbox"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[{"name":"X-Idempotency-Key","in":"header","required":false,"schemaId":"schema_6"}],"cookie":[]},"security":[{"schemes":[{"id":"bearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/CreateCredentialRequest","exampleIds":["paths/~1auth~1credentials/post/requestBody/content/application~1json/example"]}},"responseCodes":["201","400","401","422","429","500"],"pointer":"/auth/credentials","href":"authentication/createcredential","openApiOperationId":"createCredential","summary":"Create an API key"},"definitionSamples":[{"lang":"curl","source":"curl -X POST https://api.dinie.com/api/v3/auth/credentials \\\n  -H \"Authorization: Bearer $DINIE_API_TOKEN\" \\\n  -H \"Content-Type: application/json\" \\\n  -d '{\n    \"name\": \"Chave de Produção\",\n    \"expires_at\": 1803945600\n  }'\n"},{"lang":"Python","source":"from dinie import Dinie\n\nclient = Dinie(\n    client_id=\"dinie_ci_abc123\",\n    client_secret=\"dinie_cs_live_xyz789\"\n)\n\n# Create a new API credential\ncredential = client.auth.create_credential(\n    name=\"Chave de Produção\",\n    expires_at=1803945600\n)\n\nprint(credential.client_id)      # \"dinie_ci_550e8400...\"\nprint(credential.client_secret)   # \"dinie_cs_live_a1b2c3...\"\n# ⚠️ Store the client_secret securely -- shown only once!\n"},{"lang":"Node.js","source":"const { Dinie } = require(\"dinie\");\n\nconst client = new Dinie({\n  clientId: \"dinie_ci_abc123\",\n  clientSecret: \"dinie_cs_live_xyz789\",\n});\n\n// Create a new API credential\nconst credential = await client.auth.createCredential({\n  name: \"Chave de Produção\",\n  expiresAt: 1803945600,\n});\n\nconsole.log(credential.clientId);      // \"dinie_ci_550e8400...\"\nconsole.log(credential.clientSecret);   // \"dinie_cs_live_a1b2c3...\"\n// Store the clientSecret securely -- shown only once!\n"},{"lang":"Ruby","source":"require \"dinie\"\n\nclient = Dinie::Client.new(\n  client_id: \"dinie_ci_abc123\",\n  client_secret: \"dinie_cs_live_xyz789\"\n)\n\n# Create a new API credential\ncredential = client.auth.create_credential(\n  name: \"Chave de Produção\",\n  expires_at: 1803945600\n)\n\nputs credential.client_id      # \"dinie_ci_550e8400...\"\nputs credential.client_secret   # \"dinie_cs_live_a1b2c3...\"\n# Store the client_secret securely -- shown only once!\n"}],"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/en-us/apis/openapi","description":"Mock server","isMockServer":true},{"url":"https://api.dinie.com/api/v3","description":"Production"},{"url":"https://api-dev.dinietech.io/api/v3","description":"Sandbox"}],"schemaId":"components/schemas/CreateCredentialRequest","exampleIds":["paths/~1auth~1credentials/post/requestBody/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CreateCredentialRequest","exampleIds":["paths/~1auth~1credentials/post/requestBody/content/application~1json/example"]}},"examples":[{}]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"201","description":"Credential created","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/CredentialWithSecret","exampleIds":["paths/~1auth~1credentials/post/responses/201/content/application~1json/example"]}},"schemaId":"components/schemas/CredentialWithSecret","exampleIds":["paths/~1auth~1credentials/post/responses/201/content/application~1json/example"]},{"code":"400","description":"Bad request","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_7","exampleIds":["paths/~1auth~1credentials/post/responses/400/content/application~1problem+json/examples/invalid_content_type","paths/~1auth~1credentials/post/responses/400/content/application~1problem+json/examples/malformed_body"]}},"schemaId":"schema_7","exampleIds":["paths/~1auth~1credentials/post/responses/400/content/application~1problem+json/examples/invalid_content_type","paths/~1auth~1credentials/post/responses/400/content/application~1problem+json/examples/malformed_body"]},{"code":"401","description":"Authentication failed","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_8","exampleIds":["paths/~1auth~1credentials/post/responses/401/content/application~1problem+json/examples/missing_token","paths/~1auth~1credentials/post/responses/401/content/application~1problem+json/examples/invalid_token","paths/~1auth~1credentials/post/responses/401/content/application~1problem+json/examples/token_expired"]}},"schemaId":"schema_8","exampleIds":["paths/~1auth~1credentials/post/responses/401/content/application~1problem+json/examples/missing_token","paths/~1auth~1credentials/post/responses/401/content/application~1problem+json/examples/invalid_token","paths/~1auth~1credentials/post/responses/401/content/application~1problem+json/examples/token_expired"]},{"code":"422","description":"Validation failed","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_9","exampleIds":["paths/~1auth~1credentials/post/responses/422/content/application~1problem+json/examples/missing_required_field"]}},"schemaId":"schema_9","exampleIds":["paths/~1auth~1credentials/post/responses/422/content/application~1problem+json/examples/missing_required_field"]},{"code":"429","description":"Rate limit exceeded","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_3","exampleIds":["paths/~1auth~1credentials/post/responses/429/content/application~1problem+json/example"]}},"schemaId":"schema_3","exampleIds":["paths/~1auth~1credentials/post/responses/429/content/application~1problem+json/example"],"headers":{"Retry-After":{"schema":{"type":"integer"},"description":"Seconds until the rate limit resets"}},"headerSchemaId":"schema_4"},{"code":"500","description":"Internal server error","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_5","exampleIds":["paths/~1auth~1credentials/post/responses/500/content/application~1problem+json/example"]}},"schemaId":"schema_5","exampleIds":["paths/~1auth~1credentials/post/responses/500/content/application~1problem+json/example"]}],"pointer":"/paths/~1auth~1credentials/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"201","schemaId":"components/schemas/CredentialWithSecret","exampleIds":["paths/~1auth~1credentials/post/responses/201/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/CredentialWithSecret","exampleIds":["paths/~1auth~1credentials/post/responses/201/content/application~1json/example"]}}},{"code":"400","schemaId":"schema_7","exampleIds":["paths/~1auth~1credentials/post/responses/400/content/application~1problem+json/examples/invalid_content_type","paths/~1auth~1credentials/post/responses/400/content/application~1problem+json/examples/malformed_body"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_7","exampleIds":["paths/~1auth~1credentials/post/responses/400/content/application~1problem+json/examples/invalid_content_type","paths/~1auth~1credentials/post/responses/400/content/application~1problem+json/examples/malformed_body"]}}},{"code":"401","schemaId":"schema_8","exampleIds":["paths/~1auth~1credentials/post/responses/401/content/application~1problem+json/examples/missing_token","paths/~1auth~1credentials/post/responses/401/content/application~1problem+json/examples/invalid_token","paths/~1auth~1credentials/post/responses/401/content/application~1problem+json/examples/token_expired"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_8","exampleIds":["paths/~1auth~1credentials/post/responses/401/content/application~1problem+json/examples/missing_token","paths/~1auth~1credentials/post/responses/401/content/application~1problem+json/examples/invalid_token","paths/~1auth~1credentials/post/responses/401/content/application~1problem+json/examples/token_expired"]}}},{"code":"422","schemaId":"schema_9","exampleIds":["paths/~1auth~1credentials/post/responses/422/content/application~1problem+json/examples/missing_required_field"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_9","exampleIds":["paths/~1auth~1credentials/post/responses/422/content/application~1problem+json/examples/missing_required_field"]}}},{"code":"429","schemaId":"schema_3","exampleIds":["paths/~1auth~1credentials/post/responses/429/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_3","exampleIds":["paths/~1auth~1credentials/post/responses/429/content/application~1problem+json/example"]}}},{"code":"500","schemaId":"schema_5","exampleIds":["paths/~1auth~1credentials/post/responses/500/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_5","exampleIds":["paths/~1auth~1credentials/post/responses/500/content/application~1problem+json/example"]}}}],"examples":[]}]}]}]},"httpPath":"/auth/credentials"},{"label":"List API keys","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/en-us/apis/openapi/authentication/listcredentials","routeSlug":"/en-us/apis/openapi/authentication/listcredentials","metadata":{"seo":{"title":"List API keys","description":"GET /auth/credentials"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"listCredentials","name":"List API keys","isWebhook":false,"pointer":"/paths/~1auth~1credentials/get","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"List API keys","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"endpoint-url"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"mb mb--get"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"GET"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /auth/credentials"},"children":[]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"List all API keys"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"JWT token obtained via OAuth2 Client Credentials. Send "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"POST /auth/token"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"with your credentials ("},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_id"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_secret"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":") in the"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: Basic base64(client_id:client_secret)"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header to receive an"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"access token. Include the token in all requests:"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: Bearer <token>"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". The token expires in 1 hour (3600s)."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Prefixes: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"dinie_cs_live_"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" (production), "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"dinie_cs_test_"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" (sandbox)."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The returned token is prefixed with "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"dinie_at_"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]}]}]}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/auth/credentials","servers":[{"url":"/_mock/en-us/apis/openapi","description":"Mock server","isMockServer":true},{"url":"https://api.dinie.com/api/v3","description":"Production"},{"url":"https://api-dev.dinietech.io/api/v3","description":"Sandbox"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"bearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"responseCodes":["200","401","429","500"],"pointer":"/auth/credentials","href":"authentication/listcredentials","openApiOperationId":"listCredentials","summary":"List API keys"},"definitionSamples":[{"lang":"curl","source":"curl https://api.dinie.com/api/v3/auth/credentials \\\n  -H \"Authorization: Bearer $DINIE_API_TOKEN\"\n"},{"lang":"Python","source":"from dinie import Dinie\n\nclient = Dinie(\n    client_id=\"dinie_ci_abc123\",\n    client_secret=\"dinie_cs_live_xyz789\"\n)\n\n# List all API credentials\ncredentials = client.auth.list_credentials()\n\nfor cred in credentials.data:\n    print(f\"{cred.name}: {cred.status}\")\n    # \"Chave de Produção: active\"\n"},{"lang":"Node.js","source":"const { Dinie } = require(\"dinie\");\n\nconst client = new Dinie({\n  clientId: \"dinie_ci_abc123\",\n  clientSecret: \"dinie_cs_live_xyz789\",\n});\n\n// List all API credentials\nconst credentials = await client.auth.listCredentials();\n\nfor (const cred of credentials.data) {\n  console.log(`${cred.name}: ${cred.status}`);\n  // \"Chave de Produção: active\"\n}\n"},{"lang":"Ruby","source":"require \"dinie\"\n\nclient = Dinie::Client.new(\n  client_id: \"dinie_ci_abc123\",\n  client_secret: \"dinie_cs_live_xyz789\"\n)\n\n# List all API credentials\ncredentials = client.auth.list_credentials\n\ncredentials.data.each do |cred|\n  puts \"#{cred.name}: #{cred.status}\"\n  # \"Chave de Produção: active\"\nend\n"}],"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/en-us/apis/openapi","description":"Mock server","isMockServer":true},{"url":"https://api.dinie.com/api/v3","description":"Production"},{"url":"https://api-dev.dinietech.io/api/v3","description":"Sandbox"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"List of credentials","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_10","exampleIds":["paths/~1auth~1credentials/get/responses/200/content/application~1json/example"]}},"schemaId":"schema_10","exampleIds":["paths/~1auth~1credentials/get/responses/200/content/application~1json/example"]},{"code":"401","description":"Authentication failed","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_8","exampleIds":["paths/~1auth~1credentials/get/responses/401/content/application~1problem+json/examples/missing_token","paths/~1auth~1credentials/get/responses/401/content/application~1problem+json/examples/invalid_token","paths/~1auth~1credentials/get/responses/401/content/application~1problem+json/examples/token_expired"]}},"schemaId":"schema_8","exampleIds":["paths/~1auth~1credentials/get/responses/401/content/application~1problem+json/examples/missing_token","paths/~1auth~1credentials/get/responses/401/content/application~1problem+json/examples/invalid_token","paths/~1auth~1credentials/get/responses/401/content/application~1problem+json/examples/token_expired"]},{"code":"429","description":"Rate limit exceeded","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_3","exampleIds":["paths/~1auth~1credentials/get/responses/429/content/application~1problem+json/example"]}},"schemaId":"schema_3","exampleIds":["paths/~1auth~1credentials/get/responses/429/content/application~1problem+json/example"],"headers":{"Retry-After":{"schema":{"type":"integer"},"description":"Seconds until the rate limit resets"}},"headerSchemaId":"schema_4"},{"code":"500","description":"Internal server error","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_5","exampleIds":["paths/~1auth~1credentials/get/responses/500/content/application~1problem+json/example"]}},"schemaId":"schema_5","exampleIds":["paths/~1auth~1credentials/get/responses/500/content/application~1problem+json/example"]}],"pointer":"/paths/~1auth~1credentials/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"schema_10","exampleIds":["paths/~1auth~1credentials/get/responses/200/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_10","exampleIds":["paths/~1auth~1credentials/get/responses/200/content/application~1json/example"]}}},{"code":"401","schemaId":"schema_8","exampleIds":["paths/~1auth~1credentials/get/responses/401/content/application~1problem+json/examples/missing_token","paths/~1auth~1credentials/get/responses/401/content/application~1problem+json/examples/invalid_token","paths/~1auth~1credentials/get/responses/401/content/application~1problem+json/examples/token_expired"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_8","exampleIds":["paths/~1auth~1credentials/get/responses/401/content/application~1problem+json/examples/missing_token","paths/~1auth~1credentials/get/responses/401/content/application~1problem+json/examples/invalid_token","paths/~1auth~1credentials/get/responses/401/content/application~1problem+json/examples/token_expired"]}}},{"code":"429","schemaId":"schema_3","exampleIds":["paths/~1auth~1credentials/get/responses/429/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_3","exampleIds":["paths/~1auth~1credentials/get/responses/429/content/application~1problem+json/example"]}}},{"code":"500","schemaId":"schema_5","exampleIds":["paths/~1auth~1credentials/get/responses/500/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_5","exampleIds":["paths/~1auth~1credentials/get/responses/500/content/application~1problem+json/example"]}}}],"examples":[]}]}]}]},"httpPath":"/auth/credentials"},{"label":"Revoke an API key","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/en-us/apis/openapi/authentication/revokecredential","routeSlug":"/en-us/apis/openapi/authentication/revokecredential","metadata":{"seo":{"title":"Revoke an API key","description":"DELETE /auth/credentials/{client_id}"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"revokeCredential","name":"Revoke an API key","isWebhook":false,"pointer":"/paths/~1auth~1credentials~1{client_id}/delete","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Revoke an API key","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"endpoint-url"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"mb mb--del"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"DELETE"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /auth/credentials/{client_id}"},"children":[]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Revoke an API key immediately and permanently"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"JWT token obtained via OAuth2 Client Credentials. Send "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"POST /auth/token"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"with your credentials ("},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_id"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_secret"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":") in the"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: Basic base64(client_id:client_secret)"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header to receive an"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"access token. Include the token in all requests:"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: Bearer <token>"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". The token expires in 1 hour (3600s)."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Prefixes: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"dinie_cs_live_"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" (production), "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"dinie_cs_test_"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" (sandbox)."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The returned token is prefixed with "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"dinie_at_"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"client_id","in":"path","schemaId":"schema_11","description":"ID of the credential to revoke","required":true}],"pointer":"/paths/~1auth~1credentials~1{client_id}/delete/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"DELETE","path":"/auth/credentials/{client_id}","servers":[{"url":"/_mock/en-us/apis/openapi","description":"Mock server","isMockServer":true},{"url":"https://api.dinie.com/api/v3","description":"Production"},{"url":"https://api-dev.dinietech.io/api/v3","description":"Sandbox"}],"parameters":{"path":[{"name":"client_id","in":"path","required":true,"example":"dinie_ci_live_550e8400e29b41d4a71644","schemaId":"components/schemas/ApiClientId"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"bearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"responseCodes":["204","401","404","409","429","500"],"pointer":"/auth/credentials/{client_id}","href":"authentication/revokecredential","openApiOperationId":"revokeCredential","summary":"Revoke an API key"},"definitionSamples":[{"lang":"curl","source":"curl -X DELETE https://api.dinie.com/api/v3/auth/credentials/dinie_ci_live_550e8400e29b41d4a71644 \\\n  -H \"Authorization: Bearer $DINIE_API_TOKEN\"\n"},{"lang":"Python","source":"from dinie import Dinie\n\nclient = Dinie(\n    client_id=\"dinie_ci_abc123\",\n    client_secret=\"dinie_cs_live_xyz789\"\n)\n\n# Revoke a compromised credential\nclient.auth.revoke_credential(\"dinie_ci_live_550e8400e29b41d4a71644\")\n# 204 No Content -- credential revoked immediately\n"},{"lang":"Node.js","source":"const { Dinie } = require(\"dinie\");\n\nconst client = new Dinie({\n  clientId: \"dinie_ci_abc123\",\n  clientSecret: \"dinie_cs_live_xyz789\",\n});\n\n// Revoke a compromised credential\nawait client.auth.revokeCredential(\"dinie_ci_live_550e8400e29b41d4a71644\");\n// 204 No Content -- credential revoked immediately\n"},{"lang":"Ruby","source":"require \"dinie\"\n\nclient = Dinie::Client.new(\n  client_id: \"dinie_ci_abc123\",\n  client_secret: \"dinie_cs_live_xyz789\"\n)\n\n# Revoke a compromised credential\nclient.auth.revoke_credential(\"dinie_ci_live_550e8400e29b41d4a71644\")\n# 204 No Content -- credential revoked immediately\n"}],"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/en-us/apis/openapi","description":"Mock server","isMockServer":true},{"url":"https://api.dinie.com/api/v3","description":"Production"},{"url":"https://api-dev.dinietech.io/api/v3","description":"Sandbox"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"204","description":"Credential revoked (empty body)"},{"code":"401","description":"Authentication failed","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_8","exampleIds":["paths/~1auth~1credentials~1{client_id}/delete/responses/401/content/application~1problem+json/examples/missing_token","paths/~1auth~1credentials~1{client_id}/delete/responses/401/content/application~1problem+json/examples/invalid_token","paths/~1auth~1credentials~1{client_id}/delete/responses/401/content/application~1problem+json/examples/token_expired"]}},"schemaId":"schema_8","exampleIds":["paths/~1auth~1credentials~1{client_id}/delete/responses/401/content/application~1problem+json/examples/missing_token","paths/~1auth~1credentials~1{client_id}/delete/responses/401/content/application~1problem+json/examples/invalid_token","paths/~1auth~1credentials~1{client_id}/delete/responses/401/content/application~1problem+json/examples/token_expired"]},{"code":"404","description":"Resource not found","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_12","exampleIds":["paths/~1auth~1credentials~1{client_id}/delete/responses/404/content/application~1problem+json/examples/credential_not_found"]}},"schemaId":"schema_12","exampleIds":["paths/~1auth~1credentials~1{client_id}/delete/responses/404/content/application~1problem+json/examples/credential_not_found"]},{"code":"409","description":"Conflict","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_13","exampleIds":["paths/~1auth~1credentials~1{client_id}/delete/responses/409/content/application~1problem+json/examples/last_active_credential"]}},"schemaId":"schema_13","exampleIds":["paths/~1auth~1credentials~1{client_id}/delete/responses/409/content/application~1problem+json/examples/last_active_credential"]},{"code":"429","description":"Rate limit exceeded","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_3","exampleIds":["paths/~1auth~1credentials~1{client_id}/delete/responses/429/content/application~1problem+json/example"]}},"schemaId":"schema_3","exampleIds":["paths/~1auth~1credentials~1{client_id}/delete/responses/429/content/application~1problem+json/example"],"headers":{"Retry-After":{"schema":{"type":"integer"},"description":"Seconds until the rate limit resets"}},"headerSchemaId":"schema_4"},{"code":"500","description":"Internal server error","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_5","exampleIds":["paths/~1auth~1credentials~1{client_id}/delete/responses/500/content/application~1problem+json/example"]}},"schemaId":"schema_5","exampleIds":["paths/~1auth~1credentials~1{client_id}/delete/responses/500/content/application~1problem+json/example"]}],"pointer":"/paths/~1auth~1credentials~1{client_id}/delete/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"204"},{"code":"401","schemaId":"schema_8","exampleIds":["paths/~1auth~1credentials~1{client_id}/delete/responses/401/content/application~1problem+json/examples/missing_token","paths/~1auth~1credentials~1{client_id}/delete/responses/401/content/application~1problem+json/examples/invalid_token","paths/~1auth~1credentials~1{client_id}/delete/responses/401/content/application~1problem+json/examples/token_expired"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_8","exampleIds":["paths/~1auth~1credentials~1{client_id}/delete/responses/401/content/application~1problem+json/examples/missing_token","paths/~1auth~1credentials~1{client_id}/delete/responses/401/content/application~1problem+json/examples/invalid_token","paths/~1auth~1credentials~1{client_id}/delete/responses/401/content/application~1problem+json/examples/token_expired"]}}},{"code":"404","schemaId":"schema_12","exampleIds":["paths/~1auth~1credentials~1{client_id}/delete/responses/404/content/application~1problem+json/examples/credential_not_found"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_12","exampleIds":["paths/~1auth~1credentials~1{client_id}/delete/responses/404/content/application~1problem+json/examples/credential_not_found"]}}},{"code":"409","schemaId":"schema_13","exampleIds":["paths/~1auth~1credentials~1{client_id}/delete/responses/409/content/application~1problem+json/examples/last_active_credential"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_13","exampleIds":["paths/~1auth~1credentials~1{client_id}/delete/responses/409/content/application~1problem+json/examples/last_active_credential"]}}},{"code":"429","schemaId":"schema_3","exampleIds":["paths/~1auth~1credentials~1{client_id}/delete/responses/429/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_3","exampleIds":["paths/~1auth~1credentials~1{client_id}/delete/responses/429/content/application~1problem+json/example"]}}},{"code":"500","schemaId":"schema_5","exampleIds":["paths/~1auth~1credentials~1{client_id}/delete/responses/500/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_5","exampleIds":["paths/~1auth~1credentials~1{client_id}/delete/responses/500/content/application~1problem+json/example"]}}}],"examples":[]}]}]}]},"httpPath":"/auth/credentials/{client_id}"}],"content":{"contentType":"group","meta":{"name":"Authentication"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Authentication","showPageActions":true},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"OAuth2 Client Credentials authentication and API key management."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Exchange your credentials for a JWT token via "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"POST /auth/token"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and send it as Bearer in all requests."},"children":[]}]}]}]}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/auth/token","summary":"Get an access token","prefix":{"name":"post","color":"post"},"badges":[],"link":"/authentication/createtoken","deprecated":false},{"title":"/auth/credentials","summary":"Create an API key","prefix":{"name":"post","color":"post"},"badges":[],"link":"/authentication/createcredential","deprecated":false},{"title":"/auth/credentials","summary":"List API keys","prefix":{"name":"get","color":"get"},"badges":[],"link":"/authentication/listcredentials","deprecated":false},{"title":"/auth/credentials/{client_id}","summary":"Revoke an API key","prefix":{"name":"delete","color":"delete"},"badges":[],"link":"/authentication/revokecredential","deprecated":false}]}]}]}]}},{"type":"group","label":"Customers","link":"/en-us/apis/openapi/customers","routeSlug":"/en-us/apis/openapi/customers","items":[{"label":"Register a customer","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/en-us/apis/openapi/customers/createcustomer","routeSlug":"/en-us/apis/openapi/customers/createcustomer","metadata":{"seo":{"title":"Register a customer","description":"POST /customers"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"createCustomer","name":"Register a customer","isWebhook":false,"pointer":"/paths/~1customers/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Register a customer","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"endpoint-url"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"mb mb--post"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"POST"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /customers"},"children":[]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Register a new customer"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"JWT token obtained via OAuth2 Client Credentials. Send "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"POST /auth/token"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"with your credentials ("},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_id"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_secret"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":") in the"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: Basic base64(client_id:client_secret)"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header to receive an"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"access token. Include the token in all requests:"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: Bearer <token>"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". The token expires in 1 hour (3600s)."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Prefixes: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"dinie_cs_live_"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" (production), "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"dinie_cs_test_"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" (sandbox)."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The returned token is prefixed with "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"dinie_at_"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CreateCustomerRequest","exampleIds":["paths/~1customers/post/requestBody/content/application~1json/example"]}},"schemaId":"components/schemas/CreateCustomerRequest","exampleIds":["paths/~1customers/post/requestBody/content/application~1json/example"],"pointer":"/paths/~1customers/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/customers","servers":[{"url":"/_mock/en-us/apis/openapi","description":"Mock server","isMockServer":true},{"url":"https://api.dinie.com/api/v3","description":"Production"},{"url":"https://api-dev.dinietech.io/api/v3","description":"Sandbox"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"bearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/CreateCustomerRequest","exampleIds":["paths/~1customers/post/requestBody/content/application~1json/example"]}},"responseCodes":["201","400","401","409","422","429","500"],"pointer":"/customers","href":"customers/createcustomer","openApiOperationId":"createCustomer","summary":"Register a customer"},"definitionSamples":[{"lang":"curl","source":"curl -X POST https://api.dinie.com/api/v3/customers \\\n  -H \"Authorization: Bearer $DINIE_API_TOKEN\" \\\n  -H \"Content-Type: application/json\" \\\n  -d '{\n    \"cpf\": \"123.456.789-00\",\n    \"email\": \"joao@example.com\",\n    \"phone\": \"+5511999999999\",\n    \"external_id\": \"partner-ref-123\"\n  }'\n"},{"lang":"Python","source":"from dinie import Dinie\n\nclient = Dinie(\n    client_id=\"dinie_ci_abc123\",\n    client_secret=\"dinie_cs_live_xyz789\"\n)\n\n# Create a new customer\ncustomer = client.customers.create(\n    cpf=\"123.456.789-00\",\n    email=\"joao@example.com\",\n    phone=\"+5511999999999\",\n    external_id=\"partner-ref-123\"\n)\n\nprint(customer.id)        # \"cust_550e8400...\"\nprint(customer.status)    # \"creating\"\n"},{"lang":"Node.js","source":"const { Dinie } = require(\"dinie\");\n\nconst client = new Dinie({\n  clientId: \"dinie_ci_abc123\",\n  clientSecret: \"dinie_cs_live_xyz789\",\n});\n\n// Create a new customer\nconst customer = await client.customers.create({\n  cpf: \"123.456.789-00\",\n  email: \"joao@example.com\",\n  phone: \"+5511999999999\",\n  externalId: \"partner-ref-123\",\n});\n\nconsole.log(customer.id);      // \"cust_550e8400...\"\nconsole.log(customer.status);   // \"creating\"\n"},{"lang":"Ruby","source":"require \"dinie\"\n\nclient = Dinie::Client.new(\n  client_id: \"dinie_ci_abc123\",\n  client_secret: \"dinie_cs_live_xyz789\"\n)\n\n# Create a new customer\ncustomer = client.customers.create(\n  cpf: \"123.456.789-00\",\n  email: \"joao@example.com\",\n  phone: \"+5511999999999\",\n  external_id: \"partner-ref-123\"\n)\n\nputs customer.id      # \"cust_550e8400...\"\nputs customer.status  # \"creating\"\n"}],"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/en-us/apis/openapi","description":"Mock server","isMockServer":true},{"url":"https://api.dinie.com/api/v3","description":"Production"},{"url":"https://api-dev.dinietech.io/api/v3","description":"Sandbox"}],"schemaId":"components/schemas/CreateCustomerRequest","exampleIds":["paths/~1customers/post/requestBody/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CreateCustomerRequest","exampleIds":["paths/~1customers/post/requestBody/content/application~1json/example"]}},"examples":[{}]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"201","description":"Customer created","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Customer","exampleIds":["paths/~1customers/post/responses/201/content/application~1json/example"]}},"schemaId":"components/schemas/Customer","exampleIds":["paths/~1customers/post/responses/201/content/application~1json/example"]},{"code":"400","description":"Bad request","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_7","exampleIds":["paths/~1customers/post/responses/400/content/application~1problem+json/examples/invalid_content_type","paths/~1customers/post/responses/400/content/application~1problem+json/examples/malformed_body"]}},"schemaId":"schema_7","exampleIds":["paths/~1customers/post/responses/400/content/application~1problem+json/examples/invalid_content_type","paths/~1customers/post/responses/400/content/application~1problem+json/examples/malformed_body"]},{"code":"401","description":"Authentication failed","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_8","exampleIds":["paths/~1customers/post/responses/401/content/application~1problem+json/examples/missing_token","paths/~1customers/post/responses/401/content/application~1problem+json/examples/invalid_token","paths/~1customers/post/responses/401/content/application~1problem+json/examples/token_expired"]}},"schemaId":"schema_8","exampleIds":["paths/~1customers/post/responses/401/content/application~1problem+json/examples/missing_token","paths/~1customers/post/responses/401/content/application~1problem+json/examples/invalid_token","paths/~1customers/post/responses/401/content/application~1problem+json/examples/token_expired"]},{"code":"409","description":"Conflict","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_14","exampleIds":["paths/~1customers/post/responses/409/content/application~1problem+json/examples/customer_already_exists"]}},"schemaId":"schema_14","exampleIds":["paths/~1customers/post/responses/409/content/application~1problem+json/examples/customer_already_exists"]},{"code":"422","description":"Validation failed","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_15","exampleIds":["paths/~1customers/post/responses/422/content/application~1problem+json/examples/missing_required_field","paths/~1customers/post/responses/422/content/application~1problem+json/examples/invalid_cpf","paths/~1customers/post/responses/422/content/application~1problem+json/examples/invalid_cnpj","paths/~1customers/post/responses/422/content/application~1problem+json/examples/invalid_email","paths/~1customers/post/responses/422/content/application~1problem+json/examples/invalid_phone"]}},"schemaId":"schema_15","exampleIds":["paths/~1customers/post/responses/422/content/application~1problem+json/examples/missing_required_field","paths/~1customers/post/responses/422/content/application~1problem+json/examples/invalid_cpf","paths/~1customers/post/responses/422/content/application~1problem+json/examples/invalid_cnpj","paths/~1customers/post/responses/422/content/application~1problem+json/examples/invalid_email","paths/~1customers/post/responses/422/content/application~1problem+json/examples/invalid_phone"]},{"code":"429","description":"Rate limit exceeded","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_3","exampleIds":["paths/~1customers/post/responses/429/content/application~1problem+json/example"]}},"schemaId":"schema_3","exampleIds":["paths/~1customers/post/responses/429/content/application~1problem+json/example"],"headers":{"Retry-After":{"schema":{"type":"integer"},"description":"Seconds until the rate limit resets"}},"headerSchemaId":"schema_4"},{"code":"500","description":"Internal server error","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_5","exampleIds":["paths/~1customers/post/responses/500/content/application~1problem+json/example"]}},"schemaId":"schema_5","exampleIds":["paths/~1customers/post/responses/500/content/application~1problem+json/example"]}],"pointer":"/paths/~1customers/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"201","schemaId":"components/schemas/Customer","exampleIds":["paths/~1customers/post/responses/201/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Customer","exampleIds":["paths/~1customers/post/responses/201/content/application~1json/example"]}}},{"code":"400","schemaId":"schema_7","exampleIds":["paths/~1customers/post/responses/400/content/application~1problem+json/examples/invalid_content_type","paths/~1customers/post/responses/400/content/application~1problem+json/examples/malformed_body"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_7","exampleIds":["paths/~1customers/post/responses/400/content/application~1problem+json/examples/invalid_content_type","paths/~1customers/post/responses/400/content/application~1problem+json/examples/malformed_body"]}}},{"code":"401","schemaId":"schema_8","exampleIds":["paths/~1customers/post/responses/401/content/application~1problem+json/examples/missing_token","paths/~1customers/post/responses/401/content/application~1problem+json/examples/invalid_token","paths/~1customers/post/responses/401/content/application~1problem+json/examples/token_expired"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_8","exampleIds":["paths/~1customers/post/responses/401/content/application~1problem+json/examples/missing_token","paths/~1customers/post/responses/401/content/application~1problem+json/examples/invalid_token","paths/~1customers/post/responses/401/content/application~1problem+json/examples/token_expired"]}}},{"code":"409","schemaId":"schema_14","exampleIds":["paths/~1customers/post/responses/409/content/application~1problem+json/examples/customer_already_exists"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_14","exampleIds":["paths/~1customers/post/responses/409/content/application~1problem+json/examples/customer_already_exists"]}}},{"code":"422","schemaId":"schema_15","exampleIds":["paths/~1customers/post/responses/422/content/application~1problem+json/examples/missing_required_field","paths/~1customers/post/responses/422/content/application~1problem+json/examples/invalid_cpf","paths/~1customers/post/responses/422/content/application~1problem+json/examples/invalid_cnpj","paths/~1customers/post/responses/422/content/application~1problem+json/examples/invalid_email","paths/~1customers/post/responses/422/content/application~1problem+json/examples/invalid_phone"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_15","exampleIds":["paths/~1customers/post/responses/422/content/application~1problem+json/examples/missing_required_field","paths/~1customers/post/responses/422/content/application~1problem+json/examples/invalid_cpf","paths/~1customers/post/responses/422/content/application~1problem+json/examples/invalid_cnpj","paths/~1customers/post/responses/422/content/application~1problem+json/examples/invalid_email","paths/~1customers/post/responses/422/content/application~1problem+json/examples/invalid_phone"]}}},{"code":"429","schemaId":"schema_3","exampleIds":["paths/~1customers/post/responses/429/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_3","exampleIds":["paths/~1customers/post/responses/429/content/application~1problem+json/example"]}}},{"code":"500","schemaId":"schema_5","exampleIds":["paths/~1customers/post/responses/500/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_5","exampleIds":["paths/~1customers/post/responses/500/content/application~1problem+json/example"]}}}],"examples":[]}]}]}]},"httpPath":"/customers"},{"label":"List customers","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/en-us/apis/openapi/customers/listcustomers","routeSlug":"/en-us/apis/openapi/customers/listcustomers","metadata":{"seo":{"title":"List customers","description":"GET /customers"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"listCustomers","name":"List customers","isWebhook":false,"pointer":"/paths/~1customers/get","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"List customers","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"endpoint-url"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"mb mb--get"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"GET"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /customers"},"children":[]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"List customers"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"JWT token obtained via OAuth2 Client Credentials. Send "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"POST /auth/token"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"with your credentials ("},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_id"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_secret"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":") in the"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: Basic base64(client_id:client_secret)"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header to receive an"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"access token. Include the token in all requests:"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: Bearer <token>"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". The token expires in 1 hour (3600s)."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Prefixes: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"dinie_cs_live_"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" (production), "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"dinie_cs_test_"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" (sandbox)."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The returned token is prefixed with "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"dinie_at_"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"external_id","in":"query","schemaId":"schema_6","description":"Filter by partner external reference"},{"name":"cpf","in":"query","schemaId":"schema_6","description":"Filter by CPF"},{"name":"status","in":"query","schemaId":"schema_16","description":"Filter by customer status"},{"name":"sort","in":"query","schemaId":"schema_17","description":"Field to sort results by"},{"name":"order","in":"query","schemaId":"schema_18","description":"Sort direction for results"},{"name":"starting_after","in":"query","schemaId":"schema_6","description":"Prefixed ID of the last item from the previous page."},{"name":"limit","in":"query","schemaId":"schema_19","description":"Number of items to return. Min: 1, Max: 100."}],"pointer":"/paths/~1customers/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/customers","servers":[{"url":"/_mock/en-us/apis/openapi","description":"Mock server","isMockServer":true},{"url":"https://api.dinie.com/api/v3","description":"Production"},{"url":"https://api-dev.dinietech.io/api/v3","description":"Sandbox"}],"parameters":{"path":[],"query":[{"name":"external_id","in":"query","schemaId":"schema_6"},{"name":"cpf","in":"query","schemaId":"schema_6"},{"name":"status","in":"query","schemaId":"schema_16"},{"name":"sort","in":"query","schemaId":"schema_17"},{"name":"order","in":"query","schemaId":"schema_18"},{"name":"starting_after","in":"query","schemaId":"schema_6"},{"name":"limit","in":"query","schemaId":"schema_19"}],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"bearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"responseCodes":["200","400","401","429","500"],"pointer":"/customers","href":"customers/listcustomers","openApiOperationId":"listCustomers","summary":"List customers"},"definitionSamples":[{"lang":"curl","source":"# List customers filtered by CPF\ncurl \"https://api.dinie.com/api/v3/customers?cpf=123.456.789-00&limit=10\" \\\n  -H \"Authorization: Bearer $DINIE_API_TOKEN\"\n"},{"lang":"Python","source":"from dinie import Dinie\n\nclient = Dinie(\n    client_id=\"dinie_ci_abc123\",\n    client_secret=\"dinie_cs_live_xyz789\"\n)\n\n# List customers filtered by CPF\ncustomers = client.customers.list(\n    cpf=\"123.456.789-00\",\n    limit=10\n)\n\nfor cust in customers.data:\n    print(f\"{cust.name}: {cust.status}\")\n\n# Paginate with starting_after\nif customers.has_more:\n    next_page = client.customers.list(\n        starting_after=customers.data[-1].id,\n        limit=10\n    )\n"},{"lang":"Node.js","source":"const { Dinie } = require(\"dinie\");\n\nconst client = new Dinie({\n  clientId: \"dinie_ci_abc123\",\n  clientSecret: \"dinie_cs_live_xyz789\",\n});\n\n// List customers filtered by CPF\nconst customers = await client.customers.list({\n  cpf: \"123.456.789-00\",\n  limit: 10,\n});\n\nfor (const cust of customers.data) {\n  console.log(`${cust.name}: ${cust.status}`);\n}\n\n// Paginate with startingAfter\nif (customers.hasMore) {\n  const nextPage = await client.customers.list({\n    startingAfter: customers.data.at(-1).id,\n    limit: 10,\n  });\n}\n"},{"lang":"Ruby","source":"require \"dinie\"\n\nclient = Dinie::Client.new(\n  client_id: \"dinie_ci_abc123\",\n  client_secret: \"dinie_cs_live_xyz789\"\n)\n\n# List customers filtered by CPF\ncustomers = client.customers.list(\n  cpf: \"123.456.789-00\",\n  limit: 10\n)\n\ncustomers.data.each do |cust|\n  puts \"#{cust.name}: #{cust.status}\"\nend\n\n# Paginate with starting_after\nif customers.has_more\n  next_page = client.customers.list(\n    starting_after: customers.data.last.id,\n    limit: 10\n  )\nend\n"}],"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/en-us/apis/openapi","description":"Mock server","isMockServer":true},{"url":"https://api.dinie.com/api/v3","description":"Production"},{"url":"https://api-dev.dinietech.io/api/v3","description":"Sandbox"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"List of customers","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_20","exampleIds":["paths/~1customers/get/responses/200/content/application~1json/example"]}},"schemaId":"schema_20","exampleIds":["paths/~1customers/get/responses/200/content/application~1json/example"]},{"code":"400","description":"Bad request","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_21","exampleIds":["paths/~1customers/get/responses/400/content/application~1problem+json/examples/invalid_limit","paths/~1customers/get/responses/400/content/application~1problem+json/examples/invalid_sort","paths/~1customers/get/responses/400/content/application~1problem+json/examples/invalid_order","paths/~1customers/get/responses/400/content/application~1problem+json/examples/invalid_cursor"]}},"schemaId":"schema_21","exampleIds":["paths/~1customers/get/responses/400/content/application~1problem+json/examples/invalid_limit","paths/~1customers/get/responses/400/content/application~1problem+json/examples/invalid_sort","paths/~1customers/get/responses/400/content/application~1problem+json/examples/invalid_order","paths/~1customers/get/responses/400/content/application~1problem+json/examples/invalid_cursor"]},{"code":"401","description":"Authentication failed","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_8","exampleIds":["paths/~1customers/get/responses/401/content/application~1problem+json/examples/missing_token","paths/~1customers/get/responses/401/content/application~1problem+json/examples/invalid_token","paths/~1customers/get/responses/401/content/application~1problem+json/examples/token_expired"]}},"schemaId":"schema_8","exampleIds":["paths/~1customers/get/responses/401/content/application~1problem+json/examples/missing_token","paths/~1customers/get/responses/401/content/application~1problem+json/examples/invalid_token","paths/~1customers/get/responses/401/content/application~1problem+json/examples/token_expired"]},{"code":"429","description":"Rate limit exceeded","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_3","exampleIds":["paths/~1customers/get/responses/429/content/application~1problem+json/example"]}},"schemaId":"schema_3","exampleIds":["paths/~1customers/get/responses/429/content/application~1problem+json/example"],"headers":{"Retry-After":{"schema":{"type":"integer"},"description":"Seconds until the rate limit resets"}},"headerSchemaId":"schema_4"},{"code":"500","description":"Internal server error","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_5","exampleIds":["paths/~1customers/get/responses/500/content/application~1problem+json/example"]}},"schemaId":"schema_5","exampleIds":["paths/~1customers/get/responses/500/content/application~1problem+json/example"]}],"pointer":"/paths/~1customers/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"schema_20","exampleIds":["paths/~1customers/get/responses/200/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_20","exampleIds":["paths/~1customers/get/responses/200/content/application~1json/example"]}}},{"code":"400","schemaId":"schema_21","exampleIds":["paths/~1customers/get/responses/400/content/application~1problem+json/examples/invalid_limit","paths/~1customers/get/responses/400/content/application~1problem+json/examples/invalid_sort","paths/~1customers/get/responses/400/content/application~1problem+json/examples/invalid_order","paths/~1customers/get/responses/400/content/application~1problem+json/examples/invalid_cursor"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_21","exampleIds":["paths/~1customers/get/responses/400/content/application~1problem+json/examples/invalid_limit","paths/~1customers/get/responses/400/content/application~1problem+json/examples/invalid_sort","paths/~1customers/get/responses/400/content/application~1problem+json/examples/invalid_order","paths/~1customers/get/responses/400/content/application~1problem+json/examples/invalid_cursor"]}}},{"code":"401","schemaId":"schema_8","exampleIds":["paths/~1customers/get/responses/401/content/application~1problem+json/examples/missing_token","paths/~1customers/get/responses/401/content/application~1problem+json/examples/invalid_token","paths/~1customers/get/responses/401/content/application~1problem+json/examples/token_expired"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_8","exampleIds":["paths/~1customers/get/responses/401/content/application~1problem+json/examples/missing_token","paths/~1customers/get/responses/401/content/application~1problem+json/examples/invalid_token","paths/~1customers/get/responses/401/content/application~1problem+json/examples/token_expired"]}}},{"code":"429","schemaId":"schema_3","exampleIds":["paths/~1customers/get/responses/429/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_3","exampleIds":["paths/~1customers/get/responses/429/content/application~1problem+json/example"]}}},{"code":"500","schemaId":"schema_5","exampleIds":["paths/~1customers/get/responses/500/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_5","exampleIds":["paths/~1customers/get/responses/500/content/application~1problem+json/example"]}}}],"examples":[]}]}]}]},"httpPath":"/customers"},{"label":"Get a customer","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/en-us/apis/openapi/customers/getcustomer","routeSlug":"/en-us/apis/openapi/customers/getcustomer","metadata":{"seo":{"title":"Get a customer","description":"GET /customers/{customer_id}"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getCustomer","name":"Get a customer","isWebhook":false,"pointer":"/paths/~1customers~1{customer_id}/get","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get a customer","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"endpoint-url"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"mb mb--get"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"GET"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /customers/{customer_id}"},"children":[]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Get a customer"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"oauth2","scopes":["kyc:read"],"type":"oauth2","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"OAuth2 Client Credentials flow for obtaining access tokens."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_id"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_secret"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" to authenticate."},"children":[]}]}]}],"flows":{"clientCredentials":{"tokenUrl":"/api/v3/auth/token","scopes":{"kyc:read":"Read a customer's KYC state (requirements, attachments, status).","kyc:upload":"Upload a KYC attachment (document or selfie via the dedicated route).","kyc:submit":"Submit a customer's KYC bundle for review.","biometrics:create":"Mint a biometrics capture session for a customer (partner side of the handoff).","biometrics:exchange":"Exchange a biometrics bootstrap code for a scoped session token (kyc-app side of the handoff)."}}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"customer_id","in":"path","schemaId":"schema_22","description":"Customer ID","required":true}],"pointer":"/paths/~1customers~1{customer_id}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/customers/{customer_id}","servers":[{"url":"/_mock/en-us/apis/openapi","description":"Mock server","isMockServer":true},{"url":"https://api.dinie.com/api/v3","description":"Production"},{"url":"https://api-dev.dinietech.io/api/v3","description":"Sandbox"}],"parameters":{"path":[{"name":"customer_id","in":"path","required":true,"example":"cust_550e8400e29b41d4a716446655440000","schemaId":"components/schemas/CustomerId"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"oauth2","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/api/v3/auth/token","scopes":{"kyc:read":"Read a customer's KYC state (requirements, attachments, status).","kyc:upload":"Upload a KYC attachment (document or selfie via the dedicated route).","kyc:submit":"Submit a customer's KYC bundle for review.","biometrics:create":"Mint a biometrics capture session for a customer (partner side of the handoff).","biometrics:exchange":"Exchange a biometrics bootstrap code for a scoped session token (kyc-app side of the handoff)."}}}}],"scopes":["kyc:read"]}],"responseCodes":["200","401","403","404","429","500"],"pointer":"/customers/{customer_id}","href":"customers/getcustomer","openApiOperationId":"getCustomer","summary":"Get a customer"},"definitionSamples":[{"lang":"curl","source":"curl https://api.dinie.com/api/v3/customers/cust_550e8400e29b41d4a716446655440000 \\\n  -H \"Authorization: Bearer $DINIE_API_TOKEN\"\n"},{"lang":"Python","source":"from dinie import Dinie\n\nclient = Dinie(\n    client_id=\"dinie_ci_abc123\",\n    client_secret=\"dinie_cs_live_xyz789\"\n)\n\n# Retrieve a customer\ncustomer = client.customers.retrieve(\"cust_550e8400e29b41d4a716446655440000\")\n\nprint(customer.status)       # \"active\"\nprint(customer.name)         # \"João Silva\"\nprint(customer.external_id)  # \"partner-ref-123\"\n"},{"lang":"Node.js","source":"const { Dinie } = require(\"dinie\");\n\nconst client = new Dinie({\n  clientId: \"dinie_ci_abc123\",\n  clientSecret: \"dinie_cs_live_xyz789\",\n});\n\n// Retrieve a customer\nconst customer = await client.customers.retrieve(\n  \"cust_550e8400e29b41d4a716446655440000\"\n);\n\nconsole.log(customer.status);       // \"active\"\nconsole.log(customer.name);         // \"João Silva\"\nconsole.log(customer.externalId);   // \"partner-ref-123\"\n"},{"lang":"Ruby","source":"require \"dinie\"\n\nclient = Dinie::Client.new(\n  client_id: \"dinie_ci_abc123\",\n  client_secret: \"dinie_cs_live_xyz789\"\n)\n\n# Retrieve a customer\ncustomer = client.customers.retrieve(\"cust_550e8400e29b41d4a716446655440000\")\n\nputs customer.status       # \"active\"\nputs customer.name         # \"João Silva\"\nputs customer.external_id  # \"partner-ref-123\"\n"}],"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/en-us/apis/openapi","description":"Mock server","isMockServer":true},{"url":"https://api.dinie.com/api/v3","description":"Production"},{"url":"https://api-dev.dinietech.io/api/v3","description":"Sandbox"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Customer details","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Customer","exampleIds":["paths/~1customers~1{customer_id}/get/responses/200/content/application~1json/example"]}},"schemaId":"components/schemas/Customer","exampleIds":["paths/~1customers~1{customer_id}/get/responses/200/content/application~1json/example"]},{"code":"401","description":"Authentication failed","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_8","exampleIds":["paths/~1customers~1{customer_id}/get/responses/401/content/application~1problem+json/examples/missing_token","paths/~1customers~1{customer_id}/get/responses/401/content/application~1problem+json/examples/invalid_token","paths/~1customers~1{customer_id}/get/responses/401/content/application~1problem+json/examples/token_expired"]}},"schemaId":"schema_8","exampleIds":["paths/~1customers~1{customer_id}/get/responses/401/content/application~1problem+json/examples/missing_token","paths/~1customers~1{customer_id}/get/responses/401/content/application~1problem+json/examples/invalid_token","paths/~1customers~1{customer_id}/get/responses/401/content/application~1problem+json/examples/token_expired"]},{"code":"403","description":"The credential is not permitted to perform this action","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_23","exampleIds":["paths/~1customers~1{customer_id}/get/responses/403/content/application~1problem+json/examples/forbidden"]}},"schemaId":"schema_23","exampleIds":["paths/~1customers~1{customer_id}/get/responses/403/content/application~1problem+json/examples/forbidden"]},{"code":"404","description":"Resource not found","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"schema_24","exampleIds":["paths/~1customers
[...]
